camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henryk Konsek <hekon...@gmail.com>
Subject Re: Upgrading AMQP component to qpid-jms-client
Date Tue, 01 Dec 2015 16:48:37 GMT
Done [1]. I have also improved documentation and tests coverage.

For now we have to wrap the following three [2] jars:

wrap:mvn:org.apache.qpid/qpid-jms-client
wrap:mvn:org.apache.qpid/proton-j/0.10
wrap:mvn:io.netty/netty-all/4.0.17.Final

Christian, which of those jars have you included in ServiceMix recently?
Only proton-j?

Cheers!

[1] https://issues.apache.org/jira/browse/CAMEL-9381
[2]
https://github.com/apache/camel/blob/master/platforms/karaf/features/src/main/resources/features.xml#L84-L86

wt., 1.12.2015 o 14:39 użytkownik Henryk Konsek <hekonsek@gmail.com>
napisał:

> Awesome, Christan! I will start working on this soon.
>
> Cheers!
>
> On Tue, Dec 1, 2015, 14:08 Christian Schneider <chris@die-schneider.net>
> wrote:
>
>> Hi Henryk,
>>
>> I just helped JB to get the servicemix qpid release out.
>>
>> The release will be
>> "mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.qpid/0.32_3".
>> It is currently under vote.
>> You can already try the snapshot
>> "mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.qpid/0.32_3-SNAPSHOT".
>>
>> Christian
>>
>>
>>
>> On 30.11.2015 09:36, Henryk Konsek wrote:
>>
>> Understood.
>>
>> I will proceed with an upgrade then and use wrap for a while. Then when
>> you're done with ServiceMix bundle, I will replace the wrappings.
>>
>> I will let you know when I'm done with an upgrade.
>>
>> pon., 30.11.2015 o 09:33 użytkownik Christian Schneider <
>> chris@die-schneider.net> napisał:
>>
>>> I would like to get the wrapping out of Artemis before the next release
>>> We have at least one customer where it would be a problem as the only
>>> allow signed bundles in their system.
>>>
>>> In the worst case I think it would not hurt much to have the wrap in the
>>> next release but we should try to replace it with a proper bundle as soon
>>> as possible.
>>>
>>>
>>> Christian
>>>
>>>
>>> Am 29.11.2015 um 21:33 schrieb Henryk Konsek:
>>>
>>> Hi,
>>>
>>> Yes, qpid-jms-client requires org.apache.qpid:proton-j:jar:0.10. I
>>> guess we can just wrap it until ServiceMix is out, right? (the same way it
>>> is done for Artemis)
>>>
>>> If this wrapping is no problem for you, I will start the upgrade
>>> tomorrow.
>>>
>>> Cheers!
>>>
>>>
>>> niedz., 29.11.2015 o 11:35 użytkownik Christian Schneider <
>>> chris@die-schneider.net> napisał:
>>>
>>>> Not sure if this is the same situation as with the Artemis amqp support.
>>>> There I had the problem that some of the new qpid libraries are not yet
>>>> OSGi bundles.
>>>>
>>>> JB wanted to include them in the next servicemix release. So we could
>>>> probably also use these for camel.
>>>>
>>>> For reference. These are the missing bundles:
>>>>
>>>> https://github.com/apache/activemq-artemis/blob/master/artemis-features/src/main/resources/features.xml#L53-L54
>>>>
>>>> Christian
>>>>
>>>> Am 29.11.2015 um 09:37 schrieb Andrea Cosentino:
>>>> > I think upgrade is the better solution.
>>>> >
>>>> > Thanks Henryk :-)
>>>> >
>>>>
>>>> --
>>> Henryk Konsek
>>> http://about.me/hekonsek
>>>
>>>
>>> --
>> Henryk Konsek
>> http://about.me/hekonsek
>>
>>
>>
>> --
>> Christian Schneiderhttp://www.liquid-reality.de
>>
>> Open Source Architecthttp://www.talend.com
>>
>> --
> Henryk Konsek
> http://about.me/hekonsek
>
-- 
Henryk Konsek
http://about.me/hekonsek

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message